{
    "$graph": [
        {
            "class": "CommandLineTool",
            "id": "#deseq2.cwl",
            "baseCommand": [
                "Rscript",
                "/workdir/deseq2.R"
            ],
            "inputs": [
                {
                    "id": "#deseq2.cwl/deseq2/sample2condition.txt",
                    "type": "File",
                    "inputBinding": {
                        "position": 1
                    }
                },
                {
                    "id": "#deseq2.cwl/deseq2/target2gene.txt",
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "position": 2
                    }
                },
                {
                    "id": "#deseq2.cwl/deseq2/rsem_out",
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "inputBinding": {
                        "position": 3
                    }
                }
            ],
            "label": "deseq2",
            "requirements": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "ghcr.io/pitagora-network/deseq2:1.0.0"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(inputs.rsem_out)",
                            "writable": true
                        }
                    ]
                },
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "outputs": [
                {
                    "id": "#deseq2.cwl/deseq2/output",
                    "type": "Directory",
                    "outputBinding": {
                        "glob": "output"
                    }
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "fasterq-dump"
            ],
            "inputs": [
                {
                    "id": "#fasterq-dump.cwl/bases",
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "position": 0,
                        "prefix": "--bases"
                    },
                    "label": "filter by bases"
                },
                {
                    "id": "#fasterq-dump.cwl/bufsize",
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "position": 0,
                        "prefix": "--bufsize"
                    },
                    "label": "size of file-buffer dflt=1MB"
                },
                {
                    "id": "#fasterq-dump.cwl/concatenate_reads",
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "position": 0,
                        "prefix": "--concatenate-reads"
                    },
                    "label": "writes whole spots into one file"
                },
                {
                    "id": "#fasterq-dump.cwl/curcache",
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "position": 0,
                        "prefix": "--curcache"
                    },
                    "label": "size of cursor-cache dflt=10MB"
                },
                {
                    "id": "#fasterq-dump.cwl/details",
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "position": 0,
                        "prefix": "--details"
                    },
                    "label": "print details"
                },
                {
                    "id": "#fasterq-dump.cwl/force_overwrite",
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "position": 0,
                        "prefix": "--force"
                    },
                    "label": "force to overwrite existing file(s)"
                },
                {
                    "id": "#fasterq-dump.cwl/include_technical",
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "position": 0,
                        "prefix": "--include-technical"
                    },
                    "label": "include technical reads"
                },
                {
                    "id": "#fasterq-dump.cwl/log_level",
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "position": 0,
                        "prefix": "--log-level <level>"
                    },
                    "label": "Logging level as number or enum string. One of (fatal|sys|int|err|warn|info|debug) or (0-6) Current/default is warn"
                },
                {
                    "id": "#fasterq-dump.cwl/mem",
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "position": 0,
                        "prefix": "--mem"
                    },
                    "label": "memory limit for sorting dflt=100MB"
                },
                {
                    "id": "#fasterq-dump.cwl/min_read_len",
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "position": 0,
                        "prefix": "--min-read-len"
                    },
                    "label": "filter by sequence-len"
                },
                {
                    "id": "#fasterq-dump.cwl/nthreads",
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "position": 0,
                        "prefix": "--threads"
                    },
                    "label": "how many thread dflt=6"
                },
                {
                    "id": "#fasterq-dump.cwl/option_file",
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "position": 0,
                        "prefix": "--option-file <file>"
                    },
                    "label": "Read more options and parameters from the file."
                },
                {
                    "id": "#fasterq-dump.cwl/outfile",
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "position": 0,
                        "prefix": "--outfile"
                    },
                    "label": "output-file"
                },
                {
                    "id": "#fasterq-dump.cwl/print_help",
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "position": 0,
                        "prefix": "--help"
                    },
                    "label": "Output brief explanation for the program."
                },
                {
                    "id": "#fasterq-dump.cwl/print_read_nr",
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "position": 0,
                        "prefix": "--print-read-nr"
                    },
                    "label": "print read-numbers"
                },
                {
                    "id": "#fasterq-dump.cwl/print_stdout",
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "position": 0,
                        "prefix": "--stdout"
                    },
                    "label": "print output to stdout"
                },
                {
                    "id": "#fasterq-dump.cwl/print_version",
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "position": 0,
                        "prefix": "--version"
                    },
                    "label": "Display the version of the program then quit."
                },
                {
                    "id": "#fasterq-dump.cwl/progress",
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "position": 0,
                        "prefix": "--progress"
                    },
                    "label": "show progress"
                },
                {
                    "id": "#fasterq-dump.cwl/quiet",
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "position": 0,
                        "prefix": "--quiet"
                    },
                    "label": "Turn off all status messages for the program. Negated by verbose."
                },
                {
                    "id": "#fasterq-dump.cwl/rowid_as_name",
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "position": 0,
                        "prefix": "--rowid-as-name"
                    },
                    "label": "use row-id as name"
                },
                {
                    "default": true,
                    "id": "#fasterq-dump.cwl/skip_technical",
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "position": 0,
                        "prefix": "--skip-technical"
                    },
                    "label": "skip technical reads"
                },
                {
                    "id": "#fasterq-dump.cwl/split_3",
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "position": 0,
                        "prefix": "--split-3"
                    },
                    "label": "writes single reads in special file"
                },
                {
                    "default": true,
                    "id": "#fasterq-dump.cwl/split_files",
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "position": 0,
                        "prefix": "--split-files"
                    },
                    "label": "write reads into different files"
                },
                {
                    "default": true,
                    "id": "#fasterq-dump.cwl/split_spot",
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "position": 0,
                        "prefix": "--split-spot"
                    },
                    "label": "split spots into reads"
                },
                {
                    "id": "#fasterq-dump.cwl/runid",
                    "type": "string",
                    "inputBinding": {
                        "position": -1
                    },
                    "label": "SRR run id to dump to fastq"
                },
                {
                    "id": "#fasterq-dump.cwl/strict",
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "position": 0,
                        "prefix": "--strict"
                    },
                    "label": "terminate on invalid read"
                },
                {
                    "id": "#fasterq-dump.cwl/table",
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "position": 0,
                        "prefix": "--table"
                    },
                    "label": "which seq-table to use in case of pacbio"
                },
                {
                    "id": "#fasterq-dump.cwl/temp",
                    "type": [
                        "null",
                        "Directory"
                    ],
                    "inputBinding": {
                        "position": 0,
                        "prefix": "--temp"
                    },
                    "label": "where to put temp. files dflt=curr dir"
                },
                {
                    "id": "#fasterq-dump.cwl/verbose",
                    "type": [
                        "null",
                        "boolean"
                    ],
                    "inputBinding": {
                        "position": 0,
                        "prefix": "--verbose"
                    },
                    "label": "Increase the verbosity of the program status messages. Use multiple times for more verbosity. Negates quiet."
                }
            ],
            "outputs": [
                {
                    "id": "#fasterq-dump.cwl/fastqFiles",
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "outputBinding": {
                        "glob": "*fastq*"
                    }
                },
                {
                    "id": "#fasterq-dump.cwl/forward",
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputBinding": {
                        "glob": "*_1.fastq*"
                    }
                },
                {
                    "id": "#fasterq-dump.cwl/reverse",
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputBinding": {
                        "glob": "*_2.fastq*"
                    }
                }
            ],
            "doc": "sra-toolkit: https://github.com/ncbi/sra-tools/wiki/Download-On-Demand",
            "label": "fasterq-dump: dump .sra format file to generate fastq file",
            "arguments": [
                {
                    "position": 0
                }
            ],
            "hints": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "quay.io/inutano/sra-toolkit:v2.9.2"
                }
            ],
            "id": "#fasterq-dump.cwl",
            "https://www.sevenbridges.com/toolAuthor": "inutano"
        },
        {
            "class": "CommandLineTool",
            "doc": "decompression tool using Lempel-Ziv coding (LZ77)",
            "requirements": [
                {
                    "dockerPull": "alpine:3.9",
                    "class": "DockerRequirement"
                }
            ],
            "baseCommand": [
                "gunzip",
                "--stdout"
            ],
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {},
                    "id": "#gunzip.cwl/file"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "id": "#gunzip.cwl/decompressed",
                    "outputBinding": {
                        "glob": "$(inputs.file.nameroot)"
                    }
                },
                {
                    "type": "File",
                    "id": "#gunzip.cwl/stderr",
                    "outputBinding": {
                        "glob": "gunzip-stderr.log"
                    }
                }
            ],
            "stdout": "$(inputs.file.nameroot)",
            "stderr": "gunzip-stderr.log",
            "id": "#gunzip.cwl"
        },
        {
            "class": "CommandLineTool",
            "id": "#mkdir_rsem.cwl",
            "baseCommand": [
                "bash",
                "mkdir_rsem.sh"
            ],
            "inputs": [],
            "outputs": [
                {
                    "id": "#mkdir_rsem.cwl/mkdir_rsem/RSEM_reference",
                    "type": "Directory",
                    "outputBinding": {
                        "glob": "RSEM_reference/"
                    }
                }
            ],
            "label": "mkdir_rsem",
            "requirements": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "ghcr.io/pitagora-network/mkdir_rsem:1.0.0"
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "id": "#mkdir_star.cwl",
            "baseCommand": [
                "bash",
                "mkdir_star.sh"
            ],
            "inputs": [],
            "outputs": [
                {
                    "id": "#mkdir_star.cwl/mkdir_star/STAR_reference",
                    "type": "Directory",
                    "outputBinding": {
                        "glob": "STAR_reference/"
                    }
                }
            ],
            "label": "mkdir_star",
            "requirements": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "ghcr.io/pitagora-network/mkdir_star:1.0.0"
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "rsem-calculate-expression",
                "--paired-end"
            ],
            "inputs": [
                {
                    "id": "#rsem_calculate-expression-pe.cwl/nthreads",
                    "type": "int",
                    "inputBinding": {
                        "position": 0,
                        "prefix": "--num-threads"
                    },
                    "label": "Number of threads to use",
                    "doc": "Number of threads to use. Both Bowtie/Bowtie2, expression estimation and 'samtools sort' will use this many threads. (Default: 1)"
                },
                {
                    "id": "#rsem_calculate-expression-pe.cwl/rsem_index_dir",
                    "type": "Directory",
                    "label": "A path to the directory contains RSEM index files",
                    "doc": "A path to the directory contains RSEM index files"
                },
                {
                    "id": "#rsem_calculate-expression-pe.cwl/rsem_index_prefix",
                    "type": [
                        "null",
                        "string"
                    ],
                    "label": "The name of RSEM index files",
                    "doc": "The name of RSEM index files"
                },
                {
                    "id": "#rsem_calculate-expression-pe.cwl/rsem_output_prefix",
                    "type": "string",
                    "inputBinding": {
                        "position": 4
                    },
                    "label": "The name of the sample analyzed",
                    "doc": "The name of the sample analyzed. All output files are prefixed by this name (e.g., sample_name.genes.results)"
                },
                {
                    "id": "#rsem_calculate-expression-pe.cwl/bam",
                    "type": "File",
                    "inputBinding": {
                        "position": 0,
                        "prefix": "--bam"
                    }
                }
            ],
            "outputs": [
                {
                    "id": "#rsem_calculate-expression-pe.cwl/genes_result",
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.rsem_output_prefix+'.genes.results')"
                    }
                },
                {
                    "id": "#rsem_calculate-expression-pe.cwl/isoforms_result",
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.rsem_output_prefix+'.isoforms.results')"
                    }
                },
                {
                    "id": "#rsem_calculate-expression-pe.cwl/stat",
                    "type": "Directory",
                    "outputBinding": {
                        "glob": "$(inputs.rsem_output_prefix+'.stat')"
                    }
                },
                {
                    "id": "#rsem_calculate-expression-pe.cwl/transcript_bam",
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.rsem_output_prefix+'.transcript.bam')"
                    }
                },
                {
                    "id": "#rsem_calculate-expression-pe.cwl/transcript_sorted_bam",
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputBinding": {
                        "glob": "$(inputs.rsem_output_prefix+'.transcript.sorted.bam')"
                    }
                },
                {
                    "id": "#rsem_calculate-expression-pe.cwl/transcript_sorted_bam_bai",
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputBinding": {
                        "glob": "$(inputs.rsem_output_prefix+'.transcript.sorted.bam.bai')"
                    }
                }
            ],
            "doc": "RSEM is a software package for estimating gene and isoform expression levels from RNA-Seq data. The RSEM package provides an user-friendly interface, supports threads for parallel computation of the EM algorithm, single-end and paired-end read data, quality scores, variable-length reads and RSPD estimation. In addition, it provides posterior mean and 95% credibility interval estimates for expression levels.  http://deweylab.biostat.wisc.edu/rsem/rsem-calculate-expression.html",
            "label": "rsem-calculate-expression: calculate expression values (BAM input version CWL)",
            "arguments": [
                {
                    "position": 3,
                    "valueFrom": "$(inputs.rsem_index_dir.path)/$(inputs.rsem_index_prefix)"
                }
            ],
            "requirements": [
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(inputs.rsem_index_dir.basename)",
                            "writable": true
                        }
                    ]
                },
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "hints": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "quay.io/biocontainers/rsem:1.3.0--boost1.64_3"
                }
            ],
            "id": "#rsem_calculate-expression-pe.cwl",
            "https://schema.org/author": [
                {
                    "class": "https://schema.org/Person",
                    "https://schema.org/email": "mailto:inutano@gmail.com",
                    "https://schema.org/identifier": "https://orcid.org/0000-0003-3777-5945",
                    "https://schema.org/name": "Tazro Ohta"
                }
            ],
            "https://schema.org/codeRepository": "https://github.com/pitagora-network/pitagora-cwl",
            "https://schema.org/license": "https://spdx.org/licenses/Apache-2.0"
        },
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "rsem-prepare-reference"
            ],
            "inputs": [
                {
                    "id": "#rsem_index.cwl/gtf",
                    "type": "File",
                    "inputBinding": {
                        "position": 0,
                        "prefix": "--gtf"
                    },
                    "label": "extract transcript reference sequences using the gene annotations specified in <file>",
                    "doc": "If this option is on, RSEM assumes that 'reference_fasta_file(s)' contains the sequence of a genome, and will extract transcript reference sequences using the gene annotations specified in <file>, which should be in GTF format."
                },
                {
                    "id": "#rsem_index.cwl/reference_fasta",
                    "type": "File",
                    "inputBinding": {
                        "position": 2
                    },
                    "label": "A path to directory contains reference fasta files",
                    "doc": "Either a comma-separated list of Multi-FASTA formatted files OR a directory name. If a directory name is specified, RSEM will read all files with suffix '.fa' or '.fasta' in this directory. The files should contain either the sequences of transcripts or an entire genome, depending on whether the '--gtf' option is used."
                },
                {
                    "id": "#rsem_index.cwl/num_threads",
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "position": 1,
                        "prefix": "--num-threads"
                    }
                },
                {
                    "id": "#rsem_index.cwl/reference_dir",
                    "type": [
                        "null",
                        "Directory"
                    ]
                },
                {
                    "id": "#rsem_index.cwl/reference_prefix",
                    "type": "string"
                }
            ],
            "outputs": [
                {
                    "id": "#rsem_index.cwl/rsem_index",
                    "type": "Directory",
                    "outputBinding": {
                        "glob": "$(inputs.reference_dir.basename)"
                    }
                }
            ],
            "doc": "RSEM is a software package for estimating gene and isoform expression levels from RNA-Seq data. The RSEM package provides an user-friendly interface, supports threads for parallel computation of the EM algorithm, single-end and paired-end read data, quality scores, variable-length reads and RSPD estimation. In addition, it provides posterior mean and 95% credibility interval estimates for expression levels.  http://deweylab.github.io/RSEM/rsem-prepare-reference.html",
            "label": "rsem-prepare-reference: preparing reference sequences",
            "arguments": [
                {
                    "position": 3,
                    "prefix": "",
                    "separate": false,
                    "valueFrom": "$(inputs.reference_dir.basename)/$(inputs.reference_prefix)"
                }
            ],
            "requirements": [
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(inputs.reference_dir)",
                            "writable": true
                        }
                    ]
                },
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "hints": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "quay.io/biocontainers/rsem:1.3.0--boost1.64_3"
                }
            ],
            "id": "#rsem_index.cwl",
            "https://schema.org/author": [
                {
                    "class": "https://schema.org/Person",
                    "https://schema.org/email": "mailto:inutano@gmail.com",
                    "https://schema.org/identifier": "https://orcid.org/0000-0003-3777-5945",
                    "https://schema.org/name": "Tazro Ohta"
                }
            ],
            "https://schema.org/codeRepository": "https://github.com/pitagora-network/pitagora-cwl",
            "https://schema.org/license": "https://spdx.org/licenses/Apache-2.0"
        },
        {
            "class": "CommandLineTool",
            "id": "#sample2condition.cwl",
            "baseCommand": [
                "sample2condition.sh"
            ],
            "inputs": [
                {
                    "id": "#sample2condition.cwl/sample2condition/SraRunTable",
                    "type": "File",
                    "inputBinding": {
                        "position": 0
                    }
                }
            ],
            "outputs": [
                {
                    "id": "#sample2condition.cwl/sample2condition/output1",
                    "type": "File",
                    "outputBinding": {
                        "glob": "sample2condition.txt"
                    }
                }
            ],
            "label": "sample2condition",
            "arguments": [
                {
                    "position": 0
                }
            ],
            "requirements": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "ghcr.io/pitagora-network/sample2condition:1.0.0"
                },
                {
                    "class": "InlineJavascriptRequirement"
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "STAR",
                "--runMode",
                "genomeGenerate"
            ],
            "inputs": [
                {
                    "id": "#star_index.cwl/genomeDir",
                    "type": "Directory",
                    "inputBinding": {
                        "position": 0,
                        "prefix": "--genomeDir"
                    }
                },
                {
                    "id": "#star_index.cwl/genomeFastaFiles",
                    "type": "File",
                    "inputBinding": {
                        "position": 0,
                        "prefix": "--genomeFastaFiles"
                    }
                },
                {
                    "id": "#star_index.cwl/runThreadN",
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "position": 0,
                        "prefix": "--runThreadN"
                    }
                },
                {
                    "id": "#star_index.cwl/sjdbGTFfile",
                    "type": "File",
                    "inputBinding": {
                        "position": 0,
                        "prefix": "--sjdbGTFfile"
                    }
                },
                {
                    "id": "#star_index.cwl/sjdbOverhang",
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "position": 0,
                        "prefix": "--sjdbOverhang"
                    }
                }
            ],
            "outputs": [
                {
                    "id": "#star_index.cwl/starIndex",
                    "type": "Directory",
                    "outputBinding": {
                        "glob": "$(inputs.genomeDir.basename)"
                    }
                }
            ],
            "doc": "STAR: Spliced Transcripts Alignment to a Reference. https://github.com/alexdobin/STAR/blob/main/doc/STARmanual.pdf",
            "label": "STAR genomeGenerate: Generating genome indexes.",
            "requirements": [
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(inputs.genomeDir)",
                            "writable": true
                        }
                    ]
                },
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "hints": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "quay.io/biocontainers/star:2.7.1a--0"
                }
            ],
            "id": "#star_index.cwl",
            "https://schema.org/author": [
                {
                    "class": "https://schema.org/Person",
                    "https://schema.org/email": "mailto:inutano@gmail.com",
                    "https://schema.org/identifier": "https://orcid.org/0000-0003-3777-5945",
                    "https://schema.org/name": "Tazro Ohta"
                }
            ],
            "https://schema.org/codeRepository": "https://github.com/pitagora-network/pitagora-cwl",
            "https://schema.org/license": "https://spdx.org/licenses/Apache-2.0"
        },
        {
            "class": "CommandLineTool",
            "baseCommand": [
                "STAR",
                "--runMode",
                "alignReads"
            ],
            "inputs": [
                {
                    "default": 1000000,
                    "id": "#star_mapping-pe.cwl/alignIntronMax",
                    "type": "int",
                    "inputBinding": {
                        "position": 0,
                        "prefix": "--alignIntronMax"
                    },
                    "label": "maximum intron size",
                    "doc": "maximum intron size, if 0, max intron size will be determined by (2^winBinNbits)*winAnchorDistNbins"
                },
                {
                    "default": 20,
                    "id": "#star_mapping-pe.cwl/alignIntronMin",
                    "type": "int",
                    "inputBinding": {
                        "position": 0,
                        "prefix": "--alignIntronMin"
                    },
                    "label": "minimum intron size",
                    "doc": "minimum intron size: genomic gap is considered intron if its length>=alignIntronMin, otherwise it is considered Deletion"
                },
                {
                    "default": 1000000,
                    "id": "#star_mapping-pe.cwl/alignMatesGapMax",
                    "type": "int",
                    "inputBinding": {
                        "position": 0,
                        "prefix": "--alignMatesGapMax"
                    },
                    "label": "maximum gap between two mates",
                    "doc": "maximum gap between two mates, if 0, max intron gap will be determined by (2^winBinNbits)*winAnchorDistNbins"
                },
                {
                    "default": 1,
                    "id": "#star_mapping-pe.cwl/alignSJDBoverhangMin",
                    "type": "int",
                    "inputBinding": {
                        "position": 0,
                        "prefix": "--alignSJDBoverhangMin"
                    },
                    "label": "minimum overhang (i.e. block size) for annotated (sjdb) spliced alignments",
                    "doc": "minimum overhang (i.e. block size) for annotated (sjdb) spliced alignments"
                },
                {
                    "default": 8,
                    "id": "#star_mapping-pe.cwl/alignSJoverhangMin",
                    "type": "int",
                    "inputBinding": {
                        "position": 0,
                        "prefix": "--alignSJoverhangMin"
                    },
                    "label": "minimum overhang (i.e. block size) for spliced alignments",
                    "doc": "minimum overhang (i.e. block size) for spliced alignments"
                },
                {
                    "id": "#star_mapping-pe.cwl/fq1",
                    "type": "File",
                    "inputBinding": {
                        "position": 50,
                        "prefix": "--readFilesIn"
                    },
                    "label": "path to file that contain input read1",
                    "doc": "path to file that contain input read1"
                },
                {
                    "id": "#star_mapping-pe.cwl/fq2",
                    "type": "File",
                    "inputBinding": {
                        "position": 51
                    },
                    "label": "path to file that contain input read2",
                    "doc": "path to file that contain input read2"
                },
                {
                    "id": "#star_mapping-pe.cwl/genomeDir",
                    "type": "Directory",
                    "inputBinding": {
                        "position": 0,
                        "prefix": "--genomeDir"
                    },
                    "label": "path to the directory where genome files are stored",
                    "doc": "path to the directory where genome files are stored"
                },
                {
                    "id": "#star_mapping-pe.cwl/limitBAMsortRAM",
                    "type": [
                        "null",
                        "long"
                    ],
                    "inputBinding": {
                        "position": 0,
                        "prefix": "--limitBAMsortRAM"
                    },
                    "label": "maximum available RAM for sorting BAM",
                    "doc": "maximum available RAM for sorting BAM. If =0, it will be set to the genome index size. 0 value can only be used with \u2013genomeLoad NoSharedMemory option"
                },
                {
                    "id": "#star_mapping-pe.cwl/nthreads",
                    "type": "int",
                    "inputBinding": {
                        "position": 0,
                        "prefix": "--runThreadN"
                    },
                    "label": "Number of threads",
                    "doc": "defines the number of threads to be used for genome generation, it has to be set to the number of available cores on the server node."
                },
                {
                    "default": 10,
                    "id": "#star_mapping-pe.cwl/outBAMcompression",
                    "type": "int",
                    "inputBinding": {
                        "position": 0,
                        "prefix": "--outBAMcompression"
                    },
                    "label": "BAM compression level",
                    "doc": "BAM compression level, -1=default compression (6?), 0=no compression, 10=maximum compression"
                },
                {
                    "default": 999,
                    "id": "#star_mapping-pe.cwl/outFilterMismatchNmax",
                    "type": "int",
                    "inputBinding": {
                        "position": 0,
                        "prefix": "--outFilterMismatchNmax"
                    },
                    "label": "alignment will be output only if it has no more mismatches than this value",
                    "doc": "alignment will be output only if it has no more mismatches than this value"
                },
                {
                    "default": 0.04,
                    "id": "#star_mapping-pe.cwl/outFilterMismatchNoverReadLmax",
                    "type": "float",
                    "inputBinding": {
                        "position": 0,
                        "prefix": "--outFilterMismatchNoverReadLmax"
                    },
                    "label": "alignment will be output only if its ratio of mismatches to *read* length is less than or equal to this value.",
                    "doc": "alignment will be output only if its ratio of mismatches to *read* length is less than or equal to this value."
                },
                {
                    "default": 20,
                    "id": "#star_mapping-pe.cwl/outFilterMultimapNmax",
                    "type": "int",
                    "inputBinding": {
                        "position": 0,
                        "prefix": "--outFilterMultimapNmax"
                    },
                    "label": "maximum number of loci the read is allowed to map to",
                    "doc": "maximum number of loci the read is allowed to map to. Alignments (all of them) will be output only if the read maps to no more loci than this value. Otherwise no alignments will be output, and the read will be counted as \u201dmapped to too many loci\u201d in the Log.final.out ."
                },
                {
                    "default": "BySJout",
                    "id": "#star_mapping-pe.cwl/outFilterType",
                    "type": "string",
                    "inputBinding": {
                        "position": 0,
                        "prefix": "--outFilterType"
                    },
                    "label": "type of filtering",
                    "doc": "Normal: standard filtering using only current alignment, BySJout: keep only those reads that contain junctions that passed filtering into SJ.out.tab"
                },
                {
                    "default": [
                        "NH",
                        "HI",
                        "AS",
                        "NM",
                        "MD"
                    ],
                    "id": "#star_mapping-pe.cwl/outSAMattributes",
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "inputBinding": {
                        "position": 0,
                        "prefix": "--outSAMattributes"
                    },
                    "label": "a string of desired SAM attributes, in the order desired for the output SAM",
                    "doc": "NH: any combination in any order, Standard: NH HI AS nM, All: NH HI AS nM NM MD jM jI ch, None: no attributes"
                },
                {
                    "default": "intronMotif",
                    "id": "#star_mapping-pe.cwl/outSAMstrandField",
                    "type": "string",
                    "inputBinding": {
                        "position": 0,
                        "prefix": "--outSAMstrandField"
                    },
                    "label": "Cuffinks-like strand field flag",
                    "doc": "Cuffinks-like strand field flag. None: not used, intronMotif: strand derived from the intron motif. Reads with inconsistent and/or non-canonical introns are filtered out."
                },
                {
                    "default": [
                        "BAM",
                        "Unsorted"
                    ],
                    "id": "#star_mapping-pe.cwl/outSAMtype",
                    "type": {
                        "type": "array",
                        "items": "string"
                    },
                    "inputBinding": {
                        "position": 1,
                        "prefix": "--outSAMtype",
                        "shellQuote": false
                    },
                    "label": "type of SAM/BAM output",
                    "doc": "1st word: BAM: output BAM without sorting, SAM: output SAM without sorting, None: no SAM/BAM output, 2nd, 3rd: Unsorted: standard unsorted, SortedByCoordinate: sorted by coordinate. This option will allocate extra memory for sorting which can be specified by -limitBAMsortRAM"
                },
                {
                    "default": "Within",
                    "id": "#star_mapping-pe.cwl/outSAMunmapped",
                    "type": "string",
                    "inputBinding": {
                        "position": 0,
                        "prefix": "--outSAMunmapped"
                    },
                    "label": "output of unmapped reads in the SAM format",
                    "doc": "1st word: None: no output, Within: output unmapped reads within the main SAM file (i.e. Aligned.out.sam). 2nd word: KeepPairs: record unmapped mate for each alignment, and, in case of unsorted output, keep it adjacent to its mapped mate. Only a\u21b5ects multi-mapping reads."
                },
                {
                    "default": "Unique",
                    "id": "#star_mapping-pe.cwl/outSJfilterReads",
                    "type": "string",
                    "inputBinding": {
                        "position": 0,
                        "prefix": "--outSJfilterReads"
                    },
                    "label": "which reads to consider for collapsed splice junctions output",
                    "doc": "which reads to consider for collapsed splice junctions output. All: all reads, unique- and multi-mappers, Unique: uniquely mapping reads only."
                },
                {
                    "default": "STAR",
                    "id": "#star_mapping-pe.cwl/output_dir_name",
                    "type": "string",
                    "label": "Name of the directory to write output files in",
                    "doc": "Name of the directory to write output files in"
                },
                {
                    "default": [
                        "TranscriptomeSAM",
                        "GeneCounts"
                    ],
                    "id": "#star_mapping-pe.cwl/quantMode",
                    "type": "string",
                    "inputBinding": {
                        "position": 0,
                        "prefix": "--quantMode"
                    },
                    "label": "types of quantification requested",
                    "doc": "types of quantification requested. -: none, TranscriptomeSAM: output SAM/BAM alignments to transcriptome into a separate file, GeneCounts: count reads per gene"
                },
                {
                    "default": 10,
                    "id": "#star_mapping-pe.cwl/quantTranscriptomeBAMcompression",
                    "type": "int",
                    "inputBinding": {
                        "position": 0,
                        "prefix": "--quantTranscriptomeBAMcompression"
                    },
                    "label": "transcriptome BAM compression level",
                    "doc": "transcriptome BAM compression level, -1=default compression (6?), 0=no compression, 10=maximum compression"
                },
                {
                    "default": 1,
                    "id": "#star_mapping-pe.cwl/sjdbScore",
                    "type": "int",
                    "inputBinding": {
                        "position": 0,
                        "prefix": "--sjdbScore"
                    },
                    "label": "extra alignment score for alignmets that cross database junctions",
                    "doc": "extra alignment score for alignmets that cross database junctions"
                },
                {
                    "id": "#star_mapping-pe.cwl/outFileNamePrefix",
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "position": 0,
                        "prefix": "--outFileNamePrefix"
                    }
                },
                {
                    "id": "#star_mapping-pe.cwl/readFilesCommand",
                    "type": [
                        "null",
                        "string"
                    ],
                    "inputBinding": {
                        "position": 0,
                        "prefix": "--readFilesCommand"
                    }
                }
            ],
            "outputs": [
                {
                    "id": "#star_mapping-pe.cwl/aligned",
                    "type": "File",
                    "outputBinding": {
                        "glob": "${\n  if (inputs.outSAMtype == \"BAM Unsorted\")\n    return p+\"Aligned.out.bam\";\n  var p=inputs.outFileNamePrefix?inputs.outFileNamePrefix:\"\";\n  return p+\"Aligned.sortedByCoord.out.bam\";\n}\n"
                    }
                },
                {
                    "id": "#star_mapping-pe.cwl/bamRemDups",
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputBinding": {
                        "glob": "${\n  if (inputs.bamRemoveDuplicatesType != \"UniqueIdentical\")\n    return null;\n  var p=inputs.outFileNamePrefix?inputs.outFileNamePrefix:\"\";\n  return p+\"Processed.out.bam\";\n}\n"
                    }
                },
                {
                    "id": "#star_mapping-pe.cwl/mappingstats",
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputBinding": {
                        "loadContents": true,
                        "glob": "${\n  var p = inputs.outFileNamePrefix?inputs.outFileNamePrefix:\"\";\n  return p+\"Log.final.out\";\n}\n"
                    }
                },
                {
                    "id": "#star_mapping-pe.cwl/readspergene",
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputBinding": {
                        "glob": "${\n  var p=inputs.outFileNamePrefix?inputs.outFileNamePrefix:\"\";\n  return p+\"ReadsPerGene.out.tab\";\n}\n"
                    }
                },
                {
                    "id": "#star_mapping-pe.cwl/transcriptomesam",
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputBinding": {
                        "glob": "${\n  var p=inputs.outFileNamePrefix?inputs.outFileNamePrefix:\"\";\n  return p+\"Aligned.toTranscriptome.out.bam\";\n}\n"
                    }
                },
                {
                    "id": "#star_mapping-pe.cwl/Log.out",
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputBinding": {
                        "glob": "${   var p=inputs.outFileNamePrefix?inputs.outFileNamePrefix:\"\"; return p+\"Log.out\"; }"
                    }
                },
                {
                    "id": "#star_mapping-pe.cwl/Log.progress.out",
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputBinding": {
                        "glob": "${\n  var p=inputs.outFileNamePrefix?inputs.outFileNamePrefix:\"\";\n  return p+\"Log.progress.out\";\n}\n"
                    }
                },
                {
                    "id": "#star_mapping-pe.cwl/SJ.out.tab",
                    "type": [
                        "null",
                        "File"
                    ],
                    "outputBinding": {
                        "glob": "${\n  var p=inputs.outFileNamePrefix?inputs.outFileNamePrefix:\"\";\n  return p+\"SJ.out.tab\";\n}\n"
                    }
                }
            ],
            "doc": "STAR: Spliced Transcripts Alignment to a Reference. https://github.com/alexdobin/STAR/blob/main/doc/STARmanual.pdf",
            "label": "STAR mapping: running mapping jobs.",
            "requirements": [
                {
                    "class": "ShellCommandRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entry": "$(inputs.genomeDir)",
                            "writable": true
                        }
                    ]
                },
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "hints": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "quay.io/biocontainers/star:2.7.1a--0"
                }
            ],
            "id": "#star_mapping-pe.cwl",
            "https://schema.org/author": [
                {
                    "class": "https://schema.org/Person",
                    "https://schema.org/email": "mailto:inutano@gmail.com",
                    "https://schema.org/identifier": "https://orcid.org/0000-0003-3777-5945",
                    "https://schema.org/name": "Tazro Ohta"
                }
            ],
            "https://schema.org/codeRepository": "https://github.com/pitagora-network/pitagora-cwl",
            "https://schema.org/license": "https://spdx.org/licenses/Apache-2.0"
        },
        {
            "class": "CommandLineTool",
            "id": "#target2gene.cwl",
            "baseCommand": [
                "Rscript",
                "/workdir/target2gene.R"
            ],
            "inputs": [],
            "outputs": [
                {
                    "id": "#target2gene.cwl/target2gene/target2gene.txt",
                    "type": "File",
                    "outputBinding": {
                        "glob": "target2gene.txt"
                    }
                }
            ],
            "label": "target2gene",
            "requirements": [
                {
                    "class": "DockerRequirement",
                    "dockerPull": "ghcr.io/pitagora-network/target2gene:1.0.0"
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "doc": "The non-interactive network downloader",
            "requirements": [
                {
                    "dockerPull": "alpine:3.9",
                    "class": "DockerRequirement"
                },
                {
                    "class": "InlineJavascriptRequirement"
                }
            ],
            "baseCommand": "wget",
            "inputs": [
                {
                    "doc": "Output file name (use `wget-stdout.txt` by default)",
                    "type": "string",
                    "default": "wget-stdout.txt",
                    "inputBinding": {
                        "prefix": "--output-document=",
                        "separate": false,
                        "valueFrom": "$(inputs.use_remote_name ? inputs.url.split('/').pop() : self)"
                    },
                    "id": "#wget.cwl/output_name"
                },
                {
                    "doc": "Download target URL",
                    "type": "string",
                    "inputBinding": {},
                    "id": "#wget.cwl/url"
                },
                {
                    "doc": "Use the basename of `url` parameter as an output file name. It is equivalent to `curl -O`.",
                    "type": "boolean",
                    "default": false,
                    "id": "#wget.cwl/use_remote_name"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.use_remote_name ? inputs.url.split('/').pop() : inputs.output_name)"
                    },
                    "id": "#wget.cwl/downloaded"
                },
                {
                    "type": "File",
                    "id": "#wget.cwl/stderr",
                    "outputBinding": {
                        "glob": "wget-stderr.log"
                    }
                }
            ],
            "stderr": "wget-stderr.log",
            "id": "#wget.cwl"
        },
        {
            "class": "Workflow",
            "inputs": [
                {
                    "id": "#main/reference_prefix",
                    "type": "string"
                },
                {
                    "id": "#main/num_threads",
                    "type": [
                        "null",
                        "int"
                    ]
                },
                {
                    "id": "#main/SraRunTable",
                    "type": "File"
                },
                {
                    "id": "#main/url",
                    "type": "string"
                },
                {
                    "id": "#main/output_name",
                    "type": "string"
                },
                {
                    "id": "#main/url_1",
                    "type": "string"
                },
                {
                    "id": "#main/output_name_1",
                    "type": "string"
                },
                {
                    "id": "#main/runThreadN",
                    "type": [
                        "null",
                        "string"
                    ]
                },
                {
                    "id": "#main/split_files",
                    "type": [
                        "null",
                        "boolean"
                    ]
                },
                {
                    "id": "#main/runid",
                    "type": "string"
                },
                {
                    "id": "#main/rsem_index_prefix",
                    "type": [
                        "null",
                        "string"
                    ]
                },
                {
                    "id": "#main/nthreads",
                    "type": [
                        "null",
                        "int"
                    ]
                },
                {
                    "id": "#main/runid_1",
                    "type": "string"
                },
                {
                    "id": "#main/runid_2",
                    "type": "string"
                },
                {
                    "id": "#main/runid_3",
                    "type": "string"
                },
                {
                    "id": "#main/runid_4",
                    "type": "string"
                },
                {
                    "id": "#main/runid_5",
                    "type": "string"
                },
                {
                    "id": "#main/runid_6",
                    "type": "string"
                },
                {
                    "id": "#main/quantMode",
                    "type": "string"
                },
                {
                    "id": "#main/outSAMtype",
                    "type": {
                        "type": "array",
                        "items": "string"
                    }
                },
                {
                    "id": "#main/nthreads_1",
                    "type": [
                        "null",
                        "int"
                    ]
                },
                {
                    "id": "#main/nthreads_2",
                    "type": [
                        "null",
                        "int"
                    ]
                },
                {
                    "id": "#main/nthreads_3",
                    "type": [
                        "null",
                        "int"
                    ]
                },
                {
                    "id": "#main/nthreads_4",
                    "type": [
                        "null",
                        "int"
                    ]
                },
                {
                    "id": "#main/nthreads_5",
                    "type": [
                        "null",
                        "int"
                    ]
                },
                {
                    "id": "#main/nthreads_6",
                    "type": [
                        "null",
                        "int"
                    ]
                }
            ],
            "outputs": [
                {
                    "id": "#main/starIndex",
                    "outputSource": [
                        "#main/star_index/starIndex"
                    ],
                    "type": "Directory"
                },
                {
                    "id": "#main/rsem_index_1",
                    "outputSource": [
                        "#main/rsem_index/rsem_index"
                    ],
                    "type": "Directory"
                },
                {
                    "id": "#main/downloaded",
                    "outputSource": [
                        "#main/wget/downloaded"
                    ],
                    "type": "File"
                },
                {
                    "id": "#main/downloaded_1",
                    "outputSource": [
                        "#main/wget_1/downloaded"
                    ],
                    "type": "File"
                },
                {
                    "id": "#main/transcriptomesam",
                    "outputSource": [
                        "#main/star_rsem_wf_pe/transcriptomesam"
                    ],
                    "type": [
                        "null",
                        "File"
                    ]
                },
                {
                    "id": "#main/transcript_sorted_bam_bai",
                    "outputSource": [
                        "#main/star_rsem_wf_pe/transcript_sorted_bam_bai"
                    ],
                    "type": [
                        "null",
                        "File"
                    ]
                },
                {
                    "id": "#main/transcriptomesam_1",
                    "outputSource": [
                        "#main/star_rsem_wf_pe_1/transcriptomesam"
                    ],
                    "type": [
                        "null",
                        "File"
                    ]
                },
                {
                    "id": "#main/genes_result",
                    "outputSource": [
                        "#main/star_rsem_wf_pe/genes_result"
                    ],
                    "type": "File"
                },
                {
                    "id": "#main/transcript_sorted_bam",
                    "outputSource": [
                        "#main/star_rsem_wf_pe/transcript_sorted_bam"
                    ],
                    "type": [
                        "null",
                        "File"
                    ]
                },
                {
                    "id": "#main/transcript_bam",
                    "outputSource": [
                        "#main/star_rsem_wf_pe/transcript_bam"
                    ],
                    "type": "File"
                },
                {
                    "id": "#main/stat",
                    "outputSource": [
                        "#main/star_rsem_wf_pe/stat"
                    ],
                    "type": "Directory"
                },
                {
                    "id": "#main/SJ.out.tab",
                    "outputSource": [
                        "#main/star_rsem_wf_pe/SJ.out.tab"
                    ],
                    "type": [
                        "null",
                        "File"
                    ]
                },
                {
                    "id": "#main/readspergene",
                    "outputSource": [
                        "#main/star_rsem_wf_pe/readspergene"
                    ],
                    "type": [
                        "null",
                        "File"
                    ]
                },
                {
                    "id": "#main/mappingstats",
                    "outputSource": [
                        "#main/star_rsem_wf_pe/mappingstats"
                    ],
                    "type": [
                        "null",
                        "File"
                    ]
                },
                {
                    "id": "#main/Log.progress.out",
                    "outputSource": [
                        "#main/star_rsem_wf_pe/Log.progress.out"
                    ],
                    "type": [
                        "null",
                        "File"
                    ]
                },
                {
                    "id": "#main/Log.out",
                    "outputSource": [
                        "#main/star_rsem_wf_pe/Log.out"
                    ],
                    "type": [
                        "null",
                        "File"
                    ]
                },
                {
                    "id": "#main/isoforms_result",
                    "outputSource": [
                        "#main/star_rsem_wf_pe/isoforms_result"
                    ],
                    "type": "File"
                },
                {
                    "id": "#main/fastqFiles",
                    "outputSource": [
                        "#main/star_rsem_wf_pe/fastqFiles"
                    ],
                    "type": {
                        "type": "array",
                        "items": "File"
                    }
                },
                {
                    "id": "#main/bamRemDups",
                    "outputSource": [
                        "#main/star_rsem_wf_pe/bamRemDups"
                    ],
                    "type": [
                        "null",
                        "File"
                    ]
                },
                {
                    "id": "#main/aligned",
                    "outputSource": [
                        "#main/star_rsem_wf_pe/aligned"
                    ],
                    "type": "File"
                },
                {
                    "id": "#main/transcript_sorted_bam_bai_1",
                    "outputSource": [
                        "#main/star_rsem_wf_pe_1/transcript_sorted_bam_bai"
                    ],
                    "type": [
                        "null",
                        "File"
                    ]
                },
                {
                    "id": "#main/transcript_sorted_bam_1",
                    "outputSource": [
                        "#main/star_rsem_wf_pe_1/transcript_sorted_bam"
                    ],
                    "type": [
                        "null",
                        "File"
                    ]
                },
                {
                    "id": "#main/transcript_bam_1",
                    "outputSource": [
                        "#main/star_rsem_wf_pe_1/transcript_bam"
                    ],
                    "type": "File"
                },
                {
                    "id": "#main/stat_1",
                    "outputSource": [
                        "#main/star_rsem_wf_pe_1/stat"
                    ],
                    "type": "Directory"
                },
                {
                    "id": "#main/SJ.out.tab_1",
                    "outputSource": [
                        "#main/star_rsem_wf_pe_1/SJ.out.tab"
                    ],
                    "type": [
                        "null",
                        "File"
                    ]
                },
                {
                    "id": "#main/readspergene_1",
                    "outputSource": [
                        "#main/star_rsem_wf_pe_1/readspergene"
                    ],
                    "type": [
                        "null",
                        "File"
                    ]
                },
                {
                    "id": "#main/mappingstats_1",
                    "outputSource": [
                        "#main/star_rsem_wf_pe_1/mappingstats"
                    ],
                    "type": [
                        "null",
                        "File"
                    ]
                },
                {
                    "id": "#main/Log.progress.out_1",
                    "outputSource": [
                        "#main/star_rsem_wf_pe_1/Log.progress.out"
                    ],
                    "type": [
                        "null",
                        "File"
                    ]
                },
                {
                    "id": "#main/Log.out_1",
                    "outputSource": [
                        "#main/star_rsem_wf_pe_1/Log.out"
                    ],
                    "type": [
                        "null",
                        "File"
                    ]
                },
                {
                    "id": "#main/isoforms_result_1",
                    "outputSource": [
                        "#main/star_rsem_wf_pe_1/isoforms_result"
                    ],
                    "type": "File"
                },
                {
                    "id": "#main/genes_result_1",
                    "outputSource": [
                        "#main/star_rsem_wf_pe_1/genes_result"
                    ],
                    "type": "File"
                },
                {
                    "id": "#main/fastqFiles_1",
                    "outputSource": [
                        "#main/star_rsem_wf_pe_1/fastqFiles"
                    ],
                    "type": {
                        "type": "array",
                        "items": "File"
                    }
                },
                {
                    "id": "#main/bamRemDups_1",
                    "outputSource": [
                        "#main/star_rsem_wf_pe_1/bamRemDups"
                    ],
                    "type": [
                        "null",
                        "File"
                    ]
                },
                {
                    "id": "#main/aligned_1",
                    "outputSource": [
                        "#main/star_rsem_wf_pe_1/aligned"
                    ],
                    "type": "File"
                },
                {
                    "id": "#main/transcriptomesam_2",
                    "outputSource": [
                        "#main/star_rsem_wf_pe_2/transcriptomesam"
                    ],
                    "type": [
                        "null",
                        "File"
                    ]
                },
                {
                    "id": "#main/transcript_sorted_bam_bai_2",
                    "outputSource": [
                        "#main/star_rsem_wf_pe_2/transcript_sorted_bam_bai"
                    ],
                    "type": [
                        "null",
                        "File"
                    ]
                },
                {
                    "id": "#main/transcript_sorted_bam_2",
                    "outputSource": [
                        "#main/star_rsem_wf_pe_2/transcript_sorted_bam"
                    ],
                    "type": [
                        "null",
                        "File"
                    ]
                },
                {
                    "id": "#main/transcript_bam_2",
                    "outputSource": [
                        "#main/star_rsem_wf_pe_2/transcript_bam"
                    ],
                    "type": "File"
                },
                {
                    "id": "#main/stat_2",
                    "outputSource": [
                        "#main/star_rsem_wf_pe_2/stat"
                    ],
                    "type": "Directory"
                },
                {
                    "id": "#main/SJ.out.tab_2",
                    "outputSource": [
                        "#main/star_rsem_wf_pe_2/SJ.out.tab"
                    ],
                    "type": [
                        "null",
                        "File"
                    ]
                },
                {
                    "id": "#main/readspergene_2",
                    "outputSource": [
                        "#main/star_rsem_wf_pe_2/readspergene"
                    ],
                    "type": [
                        "null",
                        "File"
                    ]
                },
                {
                    "id": "#main/mappingstats_2",
                    "outputSource": [
                        "#main/star_rsem_wf_pe_2/mappingstats"
                    ],
                    "type": [
                        "null",
                        "File"
                    ]
                },
                {
                    "id": "#main/Log.progress.out_2",
                    "outputSource": [
                        "#main/star_rsem_wf_pe_2/Log.progress.out"
                    ],
                    "type": [
                        "null",
                        "File"
                    ]
                },
                {
                    "id": "#main/Log.out_2",
                    "outputSource": [
                        "#main/star_rsem_wf_pe_2/Log.out"
                    ],
                    "type": [
                        "null",
                        "File"
                    ]
                },
                {
                    "id": "#main/isoforms_result_2",
                    "outputSource": [
                        "#main/star_rsem_wf_pe_2/isoforms_result"
                    ],
                    "type": "File"
                },
                {
                    "id": "#main/genes_result_2",
                    "outputSource": [
                        "#main/star_rsem_wf_pe_2/genes_result"
                    ],
                    "type": "File"
                },
                {
                    "id": "#main/fastqFiles_2",
                    "outputSource": [
                        "#main/star_rsem_wf_pe_2/fastqFiles"
                    ],
                    "type": {
                        "type": "array",
                        "items": "File"
                    }
                },
                {
                    "id": "#main/bamRemDups_2",
                    "outputSource": [
                        "#main/star_rsem_wf_pe_2/bamRemDups"
                    ],
                    "type": [
                        "null",
                        "File"
                    ]
                },
                {
                    "id": "#main/aligned_2",
                    "outputSource": [
                        "#main/star_rsem_wf_pe_2/aligned"
                    ],
                    "type": "File"
                },
                {
                    "id": "#main/transcriptomesam_3",
                    "outputSource": [
                        "#main/star_rsem_wf_pe_3/transcriptomesam"
                    ],
                    "type": [
                        "null",
                        "File"
                    ]
                },
                {
                    "id": "#main/transcript_sorted_bam_bai_3",
                    "outputSource": [
                        "#main/star_rsem_wf_pe_3/transcript_sorted_bam_bai"
                    ],
                    "type": [
                        "null",
                        "File"
                    ]
                },
                {
                    "id": "#main/transcript_sorted_bam_3",
                    "outputSource": [
                        "#main/star_rsem_wf_pe_3/transcript_sorted_bam"
                    ],
                    "type": [
                        "null",
                        "File"
                    ]
                },
                {
                    "id": "#main/transcript_bam_3",
                    "outputSource": [
                        "#main/star_rsem_wf_pe_3/transcript_bam"
                    ],
                    "type": "File"
                },
                {
                    "id": "#main/stat_3",
                    "outputSource": [
                        "#main/star_rsem_wf_pe_3/stat"
                    ],
                    "type": "Directory"
                },
                {
                    "id": "#main/SJ.out.tab_3",
                    "outputSource": [
                        "#main/star_rsem_wf_pe_3/SJ.out.tab"
                    ],
                    "type": [
                        "null",
                        "File"
                    ]
                },
                {
                    "id": "#main/readspergene_3",
                    "outputSource": [
                        "#main/star_rsem_wf_pe_3/readspergene"
                    ],
                    "type": [
                        "null",
                        "File"
                    ]
                },
                {
                    "id": "#main/mappingstats_3",
                    "outputSource": [
                        "#main/star_rsem_wf_pe_3/mappingstats"
                    ],
                    "type": [
                        "null",
                        "File"
                    ]
                },
                {
                    "id": "#main/Log.progress.out_3",
                    "outputSource": [
                        "#main/star_rsem_wf_pe_3/Log.progress.out"
                    ],
                    "type": [
                        "null",
                        "File"
                    ]
                },
                {
                    "id": "#main/Log.out_3",
                    "outputSource": [
                        "#main/star_rsem_wf_pe_3/Log.out"
                    ],
                    "type": [
                        "null",
                        "File"
                    ]
                },
                {
                    "id": "#main/isoforms_result_3",
                    "outputSource": [
                        "#main/star_rsem_wf_pe_3/isoforms_result"
                    ],
                    "type": "File"
                },
                {
                    "id": "#main/genes_result_3",
                    "outputSource": [
                        "#main/star_rsem_wf_pe_3/genes_result"
                    ],
                    "type": "File"
                },
                {
                    "id": "#main/fastqFiles_3",
                    "outputSource": [
                        "#main/star_rsem_wf_pe_3/fastqFiles"
                    ],
                    "type": {
                        "type": "array",
                        "items": "File"
                    }
                },
                {
                    "id": "#main/bamRemDups_3",
                    "outputSource": [
                        "#main/star_rsem_wf_pe_3/bamRemDups"
                    ],
                    "type": [
                        "null",
                        "File"
                    ]
                },
                {
                    "id": "#main/aligned_3",
                    "outputSource": [
                        "#main/star_rsem_wf_pe_3/aligned"
                    ],
                    "type": "File"
                },
                {
                    "id": "#main/transcriptomesam_4",
                    "outputSource": [
                        "#main/star_rsem_wf_pe_4/transcriptomesam"
                    ],
                    "type": [
                        "null",
                        "File"
                    ]
                },
                {
                    "id": "#main/transcript_sorted_bam_bai_4",
                    "outputSource": [
                        "#main/star_rsem_wf_pe_4/transcript_sorted_bam_bai"
                    ],
                    "type": [
                        "null",
                        "File"
                    ]
                },
                {
                    "id": "#main/transcript_sorted_bam_4",
                    "outputSource": [
                        "#main/star_rsem_wf_pe_4/transcript_sorted_bam"
                    ],
                    "type": [
                        "null",
                        "File"
                    ]
                },
                {
                    "id": "#main/transcript_bam_4",
                    "outputSource": [
                        "#main/star_rsem_wf_pe_4/transcript_bam"
                    ],
                    "type": "File"
                },
                {
                    "id": "#main/stat_4",
                    "outputSource": [
                        "#main/star_rsem_wf_pe_4/stat"
                    ],
                    "type": "Directory"
                },
                {
                    "id": "#main/SJ.out.tab_4",
                    "outputSource": [
                        "#main/star_rsem_wf_pe_4/SJ.out.tab"
                    ],
                    "type": [
                        "null",
                        "File"
                    ]
                },
                {
                    "id": "#main/readspergene_4",
                    "outputSource": [
                        "#main/star_rsem_wf_pe_4/readspergene"
                    ],
                    "type": [
                        "null",
                        "File"
                    ]
                },
                {
                    "id": "#main/mappingstats_4",
                    "outputSource": [
                        "#main/star_rsem_wf_pe_4/mappingstats"
                    ],
                    "type": [
                        "null",
                        "File"
                    ]
                },
                {
                    "id": "#main/Log.progress.out_4",
                    "outputSource": [
                        "#main/star_rsem_wf_pe_4/Log.progress.out"
                    ],
                    "type": [
                        "null",
                        "File"
                    ]
                },
                {
                    "id": "#main/Log.out_4",
                    "outputSource": [
                        "#main/star_rsem_wf_pe_4/Log.out"
                    ],
                    "type": [
                        "null",
                        "File"
                    ]
                },
                {
                    "id": "#main/isoforms_result_4",
                    "outputSource": [
                        "#main/star_rsem_wf_pe_4/isoforms_result"
                    ],
                    "type": "File"
                },
                {
                    "id": "#main/genes_result_4",
                    "outputSource": [
                        "#main/star_rsem_wf_pe_4/genes_result"
                    ],
                    "type": "File"
                },
                {
                    "id": "#main/fastqFiles_4",
                    "outputSource": [
                        "#main/star_rsem_wf_pe_4/fastqFiles"
                    ],
                    "type": {
                        "type": "array",
                        "items": "File"
                    }
                },
                {
                    "id": "#main/bamRemDups_4",
                    "outputSource": [
                        "#main/star_rsem_wf_pe_4/bamRemDups"
                    ],
                    "type": [
                        "null",
                        "File"
                    ]
                },
                {
                    "id": "#main/aligned_4",
                    "outputSource": [
                        "#main/star_rsem_wf_pe_4/aligned"
                    ],
                    "type": "File"
                },
                {
                    "id": "#main/transcriptomesam_5",
                    "outputSource": [
                        "#main/star_rsem_wf_pe_5/transcriptomesam"
                    ],
                    "type": [
                        "null",
                        "File"
                    ]
                },
                {
                    "id": "#main/transcript_sorted_bam_bai_5",
                    "outputSource": [
                        "#main/star_rsem_wf_pe_5/transcript_sorted_bam_bai"
                    ],
                    "type": [
                        "null",
                        "File"
                    ]
                },
                {
                    "id": "#main/transcript_sorted_bam_5",
                    "outputSource": [
                        "#main/star_rsem_wf_pe_5/transcript_sorted_bam"
                    ],
                    "type": [
                        "null",
                        "File"
                    ]
                },
                {
                    "id": "#main/transcript_bam_5",
                    "outputSource": [
                        "#main/star_rsem_wf_pe_5/transcript_bam"
                    ],
                    "type": "File"
                },
                {
                    "id": "#main/stat_5",
                    "outputSource": [
                        "#main/star_rsem_wf_pe_5/stat"
                    ],
                    "type": "Directory"
                },
                {
                    "id": "#main/SJ.out.tab_5",
                    "outputSource": [
                        "#main/star_rsem_wf_pe_5/SJ.out.tab"
                    ],
                    "type": [
                        "null",
                        "File"
                    ]
                },
                {
                    "id": "#main/readspergene_5",
                    "outputSource": [
                        "#main/star_rsem_wf_pe_5/readspergene"
                    ],
                    "type": [
                        "null",
                        "File"
                    ]
                },
                {
                    "id": "#main/mappingstats_5",
                    "outputSource": [
                        "#main/star_rsem_wf_pe_5/mappingstats"
                    ],
                    "type": [
                        "null",
                        "File"
                    ]
                },
                {
                    "id": "#main/Log.progress.out_5",
                    "outputSource": [
                        "#main/star_rsem_wf_pe_5/Log.progress.out"
                    ],
                    "type": [
                        "null",
                        "File"
                    ]
                },
                {
                    "id": "#main/Log.out_5",
                    "outputSource": [
                        "#main/star_rsem_wf_pe_5/Log.out"
                    ],
                    "type": [
                        "null",
                        "File"
                    ]
                },
                {
                    "id": "#main/isoforms_result_5",
                    "outputSource": [
                        "#main/star_rsem_wf_pe_5/isoforms_result"
                    ],
                    "type": "File"
                },
                {
                    "id": "#main/genes_result_5",
                    "outputSource": [
                        "#main/star_rsem_wf_pe_5/genes_result"
                    ],
                    "type": "File"
                },
                {
                    "id": "#main/fastqFiles_5",
                    "outputSource": [
                        "#main/star_rsem_wf_pe_5/fastqFiles"
                    ],
                    "type": {
                        "type": "array",
                        "items": "File"
                    }
                },
                {
                    "id": "#main/bamRemDups_5",
                    "outputSource": [
                        "#main/star_rsem_wf_pe_5/bamRemDups"
                    ],
                    "type": [
                        "null",
                        "File"
                    ]
                },
                {
                    "id": "#main/aligned_5",
                    "outputSource": [
                        "#main/star_rsem_wf_pe_5/aligned"
                    ],
                    "type": "File"
                },
                {
                    "id": "#main/transcriptomesam_6",
                    "outputSource": [
                        "#main/star_rsem_wf_pe_6/transcriptomesam"
                    ],
                    "type": [
                        "null",
                        "File"
                    ]
                },
                {
                    "id": "#main/transcript_sorted_bam_bai_6",
                    "outputSource": [
                        "#main/star_rsem_wf_pe_6/transcript_sorted_bam_bai"
                    ],
                    "type": [
                        "null",
                        "File"
                    ]
                },
                {
                    "id": "#main/transcript_sorted_bam_6",
                    "outputSource": [
                        "#main/star_rsem_wf_pe_6/transcript_sorted_bam"
                    ],
                    "type": [
                        "null",
                        "File"
                    ]
                },
                {
                    "id": "#main/transcript_bam_6",
                    "outputSource": [
                        "#main/star_rsem_wf_pe_6/transcript_bam"
                    ],
                    "type": "File"
                },
                {
                    "id": "#main/stat_6",
                    "outputSource": [
                        "#main/star_rsem_wf_pe_6/stat"
                    ],
                    "type": "Directory"
                },
                {
                    "id": "#main/SJ.out.tab_6",
                    "outputSource": [
                        "#main/star_rsem_wf_pe_6/SJ.out.tab"
                    ],
                    "type": [
                        "null",
                        "File"
                    ]
                },
                {
                    "id": "#main/readspergene_6",
                    "outputSource": [
                        "#main/star_rsem_wf_pe_6/readspergene"
                    ],
                    "type": [
                        "null",
                        "File"
                    ]
                },
                {
                    "id": "#main/mappingstats_6",
                    "outputSource": [
                        "#main/star_rsem_wf_pe_6/mappingstats"
                    ],
                    "type": [
                        "null",
                        "File"
                    ]
                },
                {
                    "id": "#main/Log.progress.out_6",
                    "outputSource": [
                        "#main/star_rsem_wf_pe_6/Log.progress.out"
                    ],
                    "type": [
                        "null",
                        "File"
                    ]
                },
                {
                    "id": "#main/Log.out_6",
                    "outputSource": [
                        "#main/star_rsem_wf_pe_6/Log.out"
                    ],
                    "type": [
                        "null",
                        "File"
                    ]
                },
                {
                    "id": "#main/isoforms_result_6",
                    "outputSource": [
                        "#main/star_rsem_wf_pe_6/isoforms_result"
                    ],
                    "type": "File"
                },
                {
                    "id": "#main/genes_result_6",
                    "outputSource": [
                        "#main/star_rsem_wf_pe_6/genes_result"
                    ],
                    "type": "File"
                },
                {
                    "id": "#main/fastqFiles_6",
                    "outputSource": [
                        "#main/star_rsem_wf_pe_6/fastqFiles"
                    ],
                    "type": {
                        "type": "array",
                        "items": "File"
                    }
                },
                {
                    "id": "#main/bamRemDups_6",
                    "outputSource": [
                        "#main/star_rsem_wf_pe_6/bamRemDups"
                    ],
                    "type": [
                        "null",
                        "File"
                    ]
                },
                {
                    "id": "#main/aligned_6",
                    "outputSource": [
                        "#main/star_rsem_wf_pe_6/aligned"
                    ],
                    "type": "File"
                },
                {
                    "id": "#main/output",
                    "outputSource": [
                        "#main/deseq2/output"
                    ],
                    "type": "Directory"
                }
            ],
            "steps": [
                {
                    "id": "#main/gunzip",
                    "in": [
                        {
                            "id": "#main/gunzip/file",
                            "source": "#main/wget/downloaded"
                        }
                    ],
                    "out": [
                        {
                            "id": "#main/gunzip/decompressed"
                        },
                        {
                            "id": "#main/gunzip/stderr"
                        }
                    ],
                    "run": "#gunzip.cwl"
                },
                {
                    "id": "#main/gunzip_1",
                    "in": [
                        {
                            "id": "#main/gunzip_1/file",
                            "source": "#main/wget_1/downloaded"
                        }
                    ],
                    "out": [
                        {
                            "id": "#main/gunzip_1/decompressed"
                        },
                        {
                            "id": "#main/gunzip_1/stderr"
                        }
                    ],
                    "run": "#gunzip.cwl"
                },
                {
                    "id": "#main/star_index",
                    "in": [
                        {
                            "id": "#main/star_index/genomeDir",
                            "source": "#main/for_star_index_dir_sh/STAR_reference"
                        },
                        {
                            "id": "#main/star_index/genomeFastaFiles",
                            "source": "#main/gunzip_1/decompressed"
                        },
                        {
                            "id": "#main/star_index/runThreadN",
                            "source": "#main/runThreadN"
                        },
                        {
                            "id": "#main/star_index/sjdbGTFfile",
                            "source": "#main/gunzip/decompressed"
                        }
                    ],
                    "out": [
                        {
                            "id": "#main/star_index/starIndex"
                        }
                    ],
                    "run": "#star_index.cwl",
                    "label": "STAR genomeGenerate: Generating genome indexes."
                },
                {
                    "id": "#main/rsem_index",
                    "in": [
                        {
                            "id": "#main/rsem_index/gtf",
                            "source": "#main/gunzip/decompressed"
                        },
                        {
                            "id": "#main/rsem_index/reference_fasta",
                            "source": "#main/gunzip_1/decompressed"
                        },
                        {
                            "id": "#main/rsem_index/num_threads",
                            "source": "#main/num_threads"
                        },
                        {
                            "id": "#main/rsem_index/reference_dir",
                            "source": "#main/for_rsem_index_dir_sh/RSEM_reference"
                        },
                        {
                            "id": "#main/rsem_index/reference_prefix",
                            "source": "#main/reference_prefix"
                        }
                    ],
                    "out": [
                        {
                            "id": "#main/rsem_index/rsem_index"
                        }
                    ],
                    "run": "#rsem_index.cwl",
                    "label": "rsem-prepare-reference: preparing reference sequences"
                },
                {
                    "id": "#main/for_star_index_dir_sh",
                    "in": [],
                    "out": [
                        {
                            "id": "#main/for_star_index_dir_sh/STAR_reference"
                        }
                    ],
                    "run": "#mkdir_star.cwl",
                    "label": "mkdir_star"
                },
                {
                    "id": "#main/for_rsem_index_dir_sh",
                    "in": [],
                    "out": [
                        {
                            "id": "#main/for_rsem_index_dir_sh/RSEM_reference"
                        }
                    ],
                    "run": "#mkdir_rsem.cwl",
                    "label": "mkdir_rsem"
                },
                {
                    "id": "#main/deseq2",
                    "in": [
                        {
                            "id": "#main/deseq2/sample2condition.txt",
                            "source": "#main/sample2condition/output1"
                        },
                        {
                            "id": "#main/deseq2/target2gene.txt",
                            "source": "#main/target2gene/target2gene.txt"
                        },
                        {
                            "id": "#main/deseq2/rsem_out",
                            "source": [
                                "#main/star_rsem_wf_pe/genes_result",
                                "#main/star_rsem_wf_pe_1/genes_result",
                                "#main/star_rsem_wf_pe_2/genes_result",
                                "#main/star_rsem_wf_pe_3/genes_result",
                                "#main/star_rsem_wf_pe_4/genes_result",
                                "#main/star_rsem_wf_pe_5/genes_result",
                                "#main/star_rsem_wf_pe_6/genes_result"
                            ]
                        }
                    ],
                    "out": [
                        {
                            "id": "#main/deseq2/output"
                        }
                    ],
                    "run": "#deseq2.cwl",
                    "label": "deseq2"
                },
                {
                    "id": "#main/target2gene",
                    "in": [],
                    "out": [
                        {
                            "id": "#main/target2gene/target2gene.txt"
                        }
                    ],
                    "run": "#target2gene.cwl",
                    "label": "target2gene"
                },
                {
                    "id": "#main/sample2condition",
                    "in": [
                        {
                            "id": "#main/sample2condition/SraRunTable",
                            "source": "#main/SraRunTable"
                        }
                    ],
                    "out": [
                        {
                            "id": "#main/sample2condition/output1"
                        }
                    ],
                    "run": "#sample2condition.cwl",
                    "label": "sample2condition"
                },
                {
                    "id": "#main/wget",
                    "in": [
                        {
                            "id": "#main/wget/output_name",
                            "source": "#main/output_name"
                        },
                        {
                            "id": "#main/wget/url",
                            "source": "#main/url"
                        }
                    ],
                    "out": [
                        {
                            "id": "#main/wget/downloaded"
                        },
                        {
                            "id": "#main/wget/stderr"
                        }
                    ],
                    "run": "#wget.cwl"
                },
                {
                    "id": "#main/wget_1",
                    "in": [
                        {
                            "id": "#main/wget_1/output_name",
                            "source": "#main/output_name_1"
                        },
                        {
                            "id": "#main/wget_1/url",
                            "source": "#main/url_1"
                        }
                    ],
                    "out": [
                        {
                            "id": "#main/wget_1/downloaded"
                        },
                        {
                            "id": "#main/wget_1/stderr"
                        }
                    ],
                    "run": "#wget.cwl"
                },
                {
                    "id": "#main/star_rsem_wf_pe",
                    "in": [
                        {
                            "id": "#main/star_rsem_wf_pe/split_files",
                            "source": "#main/split_files"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe/runid",
                            "source": "#main/runid"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe/nthreads",
                            "source": "#main/nthreads"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe/genomeDir",
                            "source": "#main/star_index/starIndex"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe/nthreads_1",
                            "source": "#main/nthreads"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe/outFileNamePrefix",
                            "source": "#main/runid"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe/outSAMtype",
                            "source": [
                                "#main/outSAMtype"
                            ]
                        },
                        {
                            "id": "#main/star_rsem_wf_pe/quantMode",
                            "source": "#main/quantMode"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe/rsem_index_dir",
                            "source": "#main/rsem_index/rsem_index"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe/rsem_output_prefix",
                            "source": "#main/runid"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe/nthreads_2",
                            "source": "#main/nthreads"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe/rsem_index_prefix",
                            "source": "#main/rsem_index_prefix"
                        }
                    ],
                    "out": [
                        {
                            "id": "#main/star_rsem_wf_pe/fastqFiles"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe/SJ.out.tab"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe/readspergene"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe/mappingstats"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe/Log.progress.out"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe/Log.out"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe/bamRemDups"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe/transcript_sorted_bam_bai"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe/transcript_sorted_bam"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe/transcript_bam"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe/stat"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe/isoforms_result"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe/genes_result"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe/aligned"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe/transcriptomesam"
                        }
                    ],
                    "run": "#rnaseq-star-rsem-pe.cwl"
                },
                {
                    "id": "#main/star_rsem_wf_pe_1",
                    "in": [
                        {
                            "id": "#main/star_rsem_wf_pe_1/split_files",
                            "source": "#main/split_files"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_1/runid",
                            "source": "#main/runid_1"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_1/nthreads",
                            "source": "#main/nthreads_1"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_1/genomeDir",
                            "source": "#main/star_index/starIndex"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_1/nthreads_1",
                            "source": "#main/nthreads_1"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_1/outFileNamePrefix",
                            "source": "#main/runid_1"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_1/outSAMtype",
                            "source": [
                                "#main/outSAMtype"
                            ]
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_1/quantMode",
                            "source": "#main/quantMode"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_1/rsem_index_dir",
                            "source": "#main/rsem_index/rsem_index"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_1/rsem_output_prefix",
                            "source": "#main/runid_1"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_1/nthreads_2",
                            "source": "#main/nthreads_1"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_1/rsem_index_prefix",
                            "source": "#main/rsem_index_prefix"
                        }
                    ],
                    "out": [
                        {
                            "id": "#main/star_rsem_wf_pe_1/fastqFiles"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_1/SJ.out.tab"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_1/readspergene"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_1/mappingstats"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_1/Log.progress.out"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_1/Log.out"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_1/bamRemDups"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_1/transcript_sorted_bam_bai"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_1/transcript_sorted_bam"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_1/transcript_bam"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_1/stat"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_1/isoforms_result"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_1/genes_result"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_1/aligned"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_1/transcriptomesam"
                        }
                    ],
                    "run": "#rnaseq-star-rsem-pe.cwl"
                },
                {
                    "id": "#main/star_rsem_wf_pe_2",
                    "in": [
                        {
                            "id": "#main/star_rsem_wf_pe_2/split_files",
                            "source": "#main/split_files"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_2/runid",
                            "source": "#main/runid_2"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_2/nthreads",
                            "source": "#main/nthreads_2"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_2/genomeDir",
                            "source": "#main/star_index/starIndex"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_2/nthreads_1",
                            "source": "#main/nthreads_2"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_2/outFileNamePrefix",
                            "source": "#main/runid_2"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_2/outSAMtype",
                            "source": [
                                "#main/outSAMtype"
                            ]
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_2/quantMode",
                            "source": "#main/quantMode"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_2/rsem_index_dir",
                            "source": "#main/rsem_index/rsem_index"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_2/rsem_output_prefix",
                            "source": "#main/runid_2"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_2/nthreads_2",
                            "source": "#main/nthreads_2"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_2/rsem_index_prefix",
                            "source": "#main/rsem_index_prefix"
                        }
                    ],
                    "out": [
                        {
                            "id": "#main/star_rsem_wf_pe_2/fastqFiles"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_2/SJ.out.tab"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_2/readspergene"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_2/mappingstats"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_2/Log.progress.out"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_2/Log.out"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_2/bamRemDups"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_2/transcript_sorted_bam_bai"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_2/transcript_sorted_bam"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_2/transcript_bam"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_2/stat"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_2/isoforms_result"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_2/genes_result"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_2/aligned"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_2/transcriptomesam"
                        }
                    ],
                    "run": "#rnaseq-star-rsem-pe.cwl"
                },
                {
                    "id": "#main/star_rsem_wf_pe_3",
                    "in": [
                        {
                            "id": "#main/star_rsem_wf_pe_3/split_files",
                            "source": "#main/split_files"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_3/runid",
                            "source": "#main/runid_3"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_3/nthreads",
                            "source": "#main/nthreads_3"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_3/genomeDir",
                            "source": "#main/star_index/starIndex"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_3/nthreads_1",
                            "source": "#main/nthreads_3"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_3/outFileNamePrefix",
                            "source": "#main/runid_3"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_3/outSAMtype",
                            "source": [
                                "#main/outSAMtype"
                            ]
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_3/quantMode",
                            "source": "#main/quantMode"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_3/rsem_index_dir",
                            "source": "#main/rsem_index/rsem_index"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_3/rsem_output_prefix",
                            "source": "#main/runid_3"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_3/nthreads_2",
                            "source": "#main/nthreads_3"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_3/rsem_index_prefix",
                            "source": "#main/rsem_index_prefix"
                        }
                    ],
                    "out": [
                        {
                            "id": "#main/star_rsem_wf_pe_3/fastqFiles"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_3/SJ.out.tab"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_3/readspergene"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_3/mappingstats"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_3/Log.progress.out"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_3/Log.out"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_3/bamRemDups"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_3/transcript_sorted_bam_bai"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_3/transcript_sorted_bam"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_3/transcript_bam"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_3/stat"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_3/isoforms_result"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_3/genes_result"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_3/aligned"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_3/transcriptomesam"
                        }
                    ],
                    "run": "#rnaseq-star-rsem-pe.cwl"
                },
                {
                    "id": "#main/star_rsem_wf_pe_4",
                    "in": [
                        {
                            "id": "#main/star_rsem_wf_pe_4/split_files",
                            "source": "#main/split_files"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_4/runid",
                            "source": "#main/runid_4"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_4/nthreads",
                            "source": "#main/nthreads_4"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_4/genomeDir",
                            "source": "#main/star_index/starIndex"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_4/nthreads_1",
                            "source": "#main/nthreads_4"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_4/outFileNamePrefix",
                            "source": "#main/runid_4"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_4/outSAMtype",
                            "source": [
                                "#main/outSAMtype"
                            ]
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_4/quantMode",
                            "source": "#main/quantMode"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_4/rsem_index_dir",
                            "source": "#main/rsem_index/rsem_index"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_4/rsem_output_prefix",
                            "source": "#main/runid_4"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_4/nthreads_2",
                            "source": "#main/nthreads_4"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_4/rsem_index_prefix",
                            "source": "#main/rsem_index_prefix"
                        }
                    ],
                    "out": [
                        {
                            "id": "#main/star_rsem_wf_pe_4/fastqFiles"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_4/SJ.out.tab"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_4/readspergene"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_4/mappingstats"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_4/Log.progress.out"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_4/Log.out"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_4/bamRemDups"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_4/transcript_sorted_bam_bai"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_4/transcript_sorted_bam"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_4/transcript_bam"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_4/stat"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_4/isoforms_result"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_4/genes_result"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_4/aligned"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_4/transcriptomesam"
                        }
                    ],
                    "run": "#rnaseq-star-rsem-pe.cwl"
                },
                {
                    "id": "#main/star_rsem_wf_pe_5",
                    "in": [
                        {
                            "id": "#main/star_rsem_wf_pe_5/split_files",
                            "source": "#main/split_files"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_5/runid",
                            "source": "#main/runid_5"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_5/nthreads",
                            "source": "#main/nthreads_5"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_5/genomeDir",
                            "source": "#main/star_index/starIndex"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_5/nthreads_1",
                            "source": "#main/nthreads_5"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_5/outFileNamePrefix",
                            "source": "#main/runid_5"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_5/outSAMtype",
                            "source": [
                                "#main/outSAMtype"
                            ]
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_5/quantMode",
                            "source": "#main/quantMode"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_5/rsem_index_dir",
                            "source": "#main/rsem_index/rsem_index"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_5/rsem_output_prefix",
                            "source": "#main/runid_5"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_5/nthreads_2",
                            "source": "#main/nthreads_5"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_5/rsem_index_prefix",
                            "source": "#main/rsem_index_prefix"
                        }
                    ],
                    "out": [
                        {
                            "id": "#main/star_rsem_wf_pe_5/fastqFiles"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_5/SJ.out.tab"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_5/readspergene"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_5/mappingstats"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_5/Log.progress.out"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_5/Log.out"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_5/bamRemDups"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_5/transcript_sorted_bam_bai"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_5/transcript_sorted_bam"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_5/transcript_bam"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_5/stat"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_5/isoforms_result"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_5/genes_result"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_5/aligned"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_5/transcriptomesam"
                        }
                    ],
                    "run": "#rnaseq-star-rsem-pe.cwl"
                },
                {
                    "id": "#main/star_rsem_wf_pe_6",
                    "in": [
                        {
                            "id": "#main/star_rsem_wf_pe_6/split_files",
                            "source": "#main/split_files"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_6/runid",
                            "source": "#main/runid_6"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_6/nthreads",
                            "source": "#main/nthreads_6"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_6/genomeDir",
                            "source": "#main/star_index/starIndex"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_6/nthreads_1",
                            "source": "#main/nthreads_6"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_6/outFileNamePrefix",
                            "source": "#main/runid_6"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_6/outSAMtype",
                            "source": [
                                "#main/outSAMtype"
                            ]
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_6/quantMode",
                            "source": "#main/quantMode"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_6/rsem_index_dir",
                            "source": "#main/rsem_index/rsem_index"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_6/rsem_output_prefix",
                            "source": "#main/runid_6"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_6/nthreads_2",
                            "source": "#main/nthreads_6"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_6/rsem_index_prefix",
                            "source": "#main/rsem_index_prefix"
                        }
                    ],
                    "out": [
                        {
                            "id": "#main/star_rsem_wf_pe_6/fastqFiles"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_6/SJ.out.tab"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_6/readspergene"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_6/mappingstats"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_6/Log.progress.out"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_6/Log.out"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_6/bamRemDups"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_6/transcript_sorted_bam_bai"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_6/transcript_sorted_bam"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_6/transcript_bam"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_6/stat"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_6/isoforms_result"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_6/genes_result"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_6/aligned"
                        },
                        {
                            "id": "#main/star_rsem_wf_pe_6/transcriptomesam"
                        }
                    ],
                    "run": "#rnaseq-star-rsem-pe.cwl"
                }
            ],
            "requirements": [
                {
                    "class": "SubworkflowFeatureRequirement"
                },
                {
                    "class": "MultipleInputFeatureRequirement"
                }
            ],
            "id": "#main",
            "https://schema.org/author": [
                {
                    "class": "https://schema.org/Person",
                    "https://schema.org/email": "mailto:inutano@gmail.com",
                    "https://schema.org/identifier": "https://orcid.org/0000-0003-3777-5945",
                    "https://schema.org/name": "Tazro Ohta"
                }
            ],
            "https://schema.org/codeRepository": "https://github.com/pitagora-network/pitagora-cwl",
            "https://schema.org/license": "https://spdx.org/licenses/Apache-2.0"
        },
        {
            "class": "Workflow",
            "inputs": [
                {
                    "id": "#rnaseq-star-rsem-pe.cwl/split_files",
                    "type": [
                        "null",
                        "boolean"
                    ]
                },
                {
                    "id": "#rnaseq-star-rsem-pe.cwl/runid",
                    "type": "string"
                },
                {
                    "id": "#rnaseq-star-rsem-pe.cwl/nthreads",
                    "type": [
                        "null",
                        "int"
                    ]
                },
                {
                    "id": "#rnaseq-star-rsem-pe.cwl/genomeDir",
                    "type": "Directory"
                },
                {
                    "id": "#rnaseq-star-rsem-pe.cwl/nthreads_1",
                    "type": "int"
                },
                {
                    "id": "#rnaseq-star-rsem-pe.cwl/outFileNamePrefix",
                    "type": [
                        "null",
                        "string"
                    ]
                },
                {
                    "id": "#rnaseq-star-rsem-pe.cwl/outSAMtype",
                    "type": {
                        "type": "array",
                        "items": "string"
                    }
                },
                {
                    "id": "#rnaseq-star-rsem-pe.cwl/quantMode",
                    "type": "string"
                },
                {
                    "id": "#rnaseq-star-rsem-pe.cwl/rsem_index_dir",
                    "type": "Directory"
                },
                {
                    "id": "#rnaseq-star-rsem-pe.cwl/rsem_output_prefix",
                    "type": "string"
                },
                {
                    "id": "#rnaseq-star-rsem-pe.cwl/nthreads_2",
                    "type": "int"
                },
                {
                    "id": "#rnaseq-star-rsem-pe.cwl/rsem_index_prefix",
                    "type": [
                        "null",
                        "string"
                    ]
                }
            ],
            "outputs": [
                {
                    "id": "#rnaseq-star-rsem-pe.cwl/fastqFiles",
                    "outputSource": [
                        "#rnaseq-star-rsem-pe.cwl/fasterq_dump/fastqFiles"
                    ],
                    "type": {
                        "type": "array",
                        "items": "File"
                    }
                },
                {
                    "id": "#rnaseq-star-rsem-pe.cwl/SJ.out.tab",
                    "outputSource": [
                        "#rnaseq-star-rsem-pe.cwl/star_mapping_pe/SJ.out.tab"
                    ],
                    "type": [
                        "null",
                        "File"
                    ]
                },
                {
                    "id": "#rnaseq-star-rsem-pe.cwl/readspergene",
                    "outputSource": [
                        "#rnaseq-star-rsem-pe.cwl/star_mapping_pe/readspergene"
                    ],
                    "type": [
                        "null",
                        "File"
                    ]
                },
                {
                    "id": "#rnaseq-star-rsem-pe.cwl/mappingstats",
                    "outputSource": [
                        "#rnaseq-star-rsem-pe.cwl/star_mapping_pe/mappingstats"
                    ],
                    "type": [
                        "null",
                        "File"
                    ]
                },
                {
                    "id": "#rnaseq-star-rsem-pe.cwl/Log.progress.out",
                    "outputSource": [
                        "#rnaseq-star-rsem-pe.cwl/star_mapping_pe/Log.progress.out"
                    ],
                    "type": [
                        "null",
                        "File"
                    ]
                },
                {
                    "id": "#rnaseq-star-rsem-pe.cwl/Log.out",
                    "outputSource": [
                        "#rnaseq-star-rsem-pe.cwl/star_mapping_pe/Log.out"
                    ],
                    "type": [
                        "null",
                        "File"
                    ]
                },
                {
                    "id": "#rnaseq-star-rsem-pe.cwl/bamRemDups",
                    "outputSource": [
                        "#rnaseq-star-rsem-pe.cwl/star_mapping_pe/bamRemDups"
                    ],
                    "type": [
                        "null",
                        "File"
                    ]
                },
                {
                    "id": "#rnaseq-star-rsem-pe.cwl/transcript_sorted_bam_bai",
                    "outputSource": [
                        "#rnaseq-star-rsem-pe.cwl/rsem_calculate_expression_pe/transcript_sorted_bam_bai"
                    ],
                    "type": [
                        "null",
                        "File"
                    ]
                },
                {
                    "id": "#rnaseq-star-rsem-pe.cwl/transcript_sorted_bam",
                    "outputSource": [
                        "#rnaseq-star-rsem-pe.cwl/rsem_calculate_expression_pe/transcript_sorted_bam"
                    ],
                    "type": [
                        "null",
                        "File"
                    ]
                },
                {
                    "id": "#rnaseq-star-rsem-pe.cwl/transcript_bam",
                    "outputSource": [
                        "#rnaseq-star-rsem-pe.cwl/rsem_calculate_expression_pe/transcript_bam"
                    ],
                    "type": "File"
                },
                {
                    "id": "#rnaseq-star-rsem-pe.cwl/stat",
                    "outputSource": [
                        "#rnaseq-star-rsem-pe.cwl/rsem_calculate_expression_pe/stat"
                    ],
                    "type": "Directory"
                },
                {
                    "id": "#rnaseq-star-rsem-pe.cwl/isoforms_result",
                    "outputSource": [
                        "#rnaseq-star-rsem-pe.cwl/rsem_calculate_expression_pe/isoforms_result"
                    ],
                    "type": "File"
                },
                {
                    "id": "#rnaseq-star-rsem-pe.cwl/genes_result",
                    "outputSource": [
                        "#rnaseq-star-rsem-pe.cwl/rsem_calculate_expression_pe/genes_result"
                    ],
                    "type": "File"
                },
                {
                    "id": "#rnaseq-star-rsem-pe.cwl/aligned",
                    "outputSource": [
                        "#rnaseq-star-rsem-pe.cwl/star_mapping_pe/aligned"
                    ],
                    "type": "File"
                },
                {
                    "id": "#rnaseq-star-rsem-pe.cwl/transcriptomesam",
                    "outputSource": [
                        "#rnaseq-star-rsem-pe.cwl/star_mapping_pe/transcriptomesam"
                    ],
                    "type": [
                        "null",
                        "File"
                    ]
                }
            ],
            "steps": [
                {
                    "id": "#rnaseq-star-rsem-pe.cwl/fasterq_dump",
                    "in": [
                        {
                            "id": "#rnaseq-star-rsem-pe.cwl/fasterq_dump/nthreads",
                            "source": "#rnaseq-star-rsem-pe.cwl/nthreads"
                        },
                        {
                            "id": "#rnaseq-star-rsem-pe.cwl/fasterq_dump/split_files",
                            "source": "#rnaseq-star-rsem-pe.cwl/split_files"
                        },
                        {
                            "id": "#rnaseq-star-rsem-pe.cwl/fasterq_dump/runid",
                            "source": "#rnaseq-star-rsem-pe.cwl/runid"
                        }
                    ],
                    "out": [
                        {
                            "id": "#rnaseq-star-rsem-pe.cwl/fasterq_dump/fastqFiles"
                        },
                        {
                            "id": "#rnaseq-star-rsem-pe.cwl/fasterq_dump/forward"
                        },
                        {
                            "id": "#rnaseq-star-rsem-pe.cwl/fasterq_dump/reverse"
                        }
                    ],
                    "run": "#fasterq-dump.cwl",
                    "label": "fasterq-dump: dump .sra format file to generate fastq file"
                },
                {
                    "id": "#rnaseq-star-rsem-pe.cwl/rsem_calculate_expression_pe",
                    "in": [
                        {
                            "id": "#rnaseq-star-rsem-pe.cwl/rsem_calculate_expression_pe/nthreads",
                            "source": "#rnaseq-star-rsem-pe.cwl/nthreads_2"
                        },
                        {
                            "id": "#rnaseq-star-rsem-pe.cwl/rsem_calculate_expression_pe/rsem_index_dir",
                            "source": "#rnaseq-star-rsem-pe.cwl/rsem_index_dir"
                        },
                        {
                            "id": "#rnaseq-star-rsem-pe.cwl/rsem_calculate_expression_pe/rsem_index_prefix",
                            "source": "#rnaseq-star-rsem-pe.cwl/rsem_index_prefix"
                        },
                        {
                            "id": "#rnaseq-star-rsem-pe.cwl/rsem_calculate_expression_pe/rsem_output_prefix",
                            "source": "#rnaseq-star-rsem-pe.cwl/rsem_output_prefix"
                        },
                        {
                            "id": "#rnaseq-star-rsem-pe.cwl/rsem_calculate_expression_pe/bam",
                            "source": "#rnaseq-star-rsem-pe.cwl/star_mapping_pe/transcriptomesam"
                        }
                    ],
                    "out": [
                        {
                            "id": "#rnaseq-star-rsem-pe.cwl/rsem_calculate_expression_pe/genes_result"
                        },
                        {
                            "id": "#rnaseq-star-rsem-pe.cwl/rsem_calculate_expression_pe/isoforms_result"
                        },
                        {
                            "id": "#rnaseq-star-rsem-pe.cwl/rsem_calculate_expression_pe/stat"
                        },
                        {
                            "id": "#rnaseq-star-rsem-pe.cwl/rsem_calculate_expression_pe/transcript_bam"
                        },
                        {
                            "id": "#rnaseq-star-rsem-pe.cwl/rsem_calculate_expression_pe/transcript_sorted_bam"
                        },
                        {
                            "id": "#rnaseq-star-rsem-pe.cwl/rsem_calculate_expression_pe/transcript_sorted_bam_bai"
                        }
                    ],
                    "run": "#rsem_calculate-expression-pe.cwl",
                    "label": "rsem-calculate-expression: calculate expression values (BAM input version CWL)"
                },
                {
                    "id": "#rnaseq-star-rsem-pe.cwl/star_mapping_pe",
                    "in": [
                        {
                            "id": "#rnaseq-star-rsem-pe.cwl/star_mapping_pe/fq1",
                            "source": "#rnaseq-star-rsem-pe.cwl/fasterq_dump/forward"
                        },
                        {
                            "id": "#rnaseq-star-rsem-pe.cwl/star_mapping_pe/fq2",
                            "source": "#rnaseq-star-rsem-pe.cwl/fasterq_dump/reverse"
                        },
                        {
                            "id": "#rnaseq-star-rsem-pe.cwl/star_mapping_pe/genomeDir",
                            "source": "#rnaseq-star-rsem-pe.cwl/genomeDir"
                        },
                        {
                            "id": "#rnaseq-star-rsem-pe.cwl/star_mapping_pe/nthreads",
                            "source": "#rnaseq-star-rsem-pe.cwl/nthreads_1"
                        },
                        {
                            "id": "#rnaseq-star-rsem-pe.cwl/star_mapping_pe/outSAMtype",
                            "source": [
                                "#rnaseq-star-rsem-pe.cwl/outSAMtype"
                            ]
                        },
                        {
                            "id": "#rnaseq-star-rsem-pe.cwl/star_mapping_pe/quantMode",
                            "source": "#rnaseq-star-rsem-pe.cwl/quantMode"
                        },
                        {
                            "id": "#rnaseq-star-rsem-pe.cwl/star_mapping_pe/outFileNamePrefix",
                            "source": "#rnaseq-star-rsem-pe.cwl/outFileNamePrefix"
                        }
                    ],
                    "out": [
                        {
                            "id": "#rnaseq-star-rsem-pe.cwl/star_mapping_pe/aligned"
                        },
                        {
                            "id": "#rnaseq-star-rsem-pe.cwl/star_mapping_pe/bamRemDups"
                        },
                        {
                            "id": "#rnaseq-star-rsem-pe.cwl/star_mapping_pe/mappingstats"
                        },
                        {
                            "id": "#rnaseq-star-rsem-pe.cwl/star_mapping_pe/readspergene"
                        },
                        {
                            "id": "#rnaseq-star-rsem-pe.cwl/star_mapping_pe/transcriptomesam"
                        },
                        {
                            "id": "#rnaseq-star-rsem-pe.cwl/star_mapping_pe/Log.out"
                        },
                        {
                            "id": "#rnaseq-star-rsem-pe.cwl/star_mapping_pe/Log.progress.out"
                        },
                        {
                            "id": "#rnaseq-star-rsem-pe.cwl/star_mapping_pe/SJ.out.tab"
                        }
                    ],
                    "run": "#star_mapping-pe.cwl",
                    "label": "STAR mapping: running mapping jobs."
                }
            ],
            "requirements": [],
            "id": "#rnaseq-star-rsem-pe.cwl",
            "https://schema.org/author": [
                {
                    "class": "https://schema.org/Person",
                    "https://schema.org/email": "mailto:inutano@gmail.com",
                    "https://schema.org/identifier": "https://orcid.org/0000-0003-3777-5945",
                    "https://schema.org/name": "Tazro Ohta"
                }
            ],
            "https://schema.org/codeRepository": "https://github.com/pitagora-network/pitagora-cwl",
            "https://schema.org/license": "https://spdx.org/licenses/Apache-2.0"
        }
    ],
    "cwlVersion": "v1.0",
    "$schemas": [
        "http://edamontology.org/EDAM_1.18.owl",
        "https://schema.org/version/latest/schemaorg-current-http.rdf"
    ],
    "$namespaces": {
        "edam": "http://edamontology.org/",
        "s": "https://schema.org/"
    }
}
